Bug 1372063 - RHEL 7.3 beta error: net.ipv6.conf.all.accept_source_route not configured
Summary: RHEL 7.3 beta error: net.ipv6.conf.all.accept_source_route not configured
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: Matus Marhefka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 20:00 UTC by Shawn Wells
Modified: 2017-08-01 12:23 UTC (History)
6 users (show)

Fixed In Version: scap-security-guide-0.1.32-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 12:23:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2064 normal SHIPPED_LIVE scap-security-guide bug fix and enhancement update 2017-08-01 16:05:50 UTC

Description Shawn Wells 2016-08-31 20:00:36 UTC
During RHEL 7.3 beta install against DoD STIG UPSTREAM profile, the following checklist item remains non-compliant during the install, and with "oscap --remediate":

- CCE-80179-5: xccdf_org.ssgproject.content_rule_sysctl_net_ipv6_conf_all_accept_source_route

Comment 1 Shawn Wells 2016-08-31 20:21:38 UTC
Note this has been fixed upstream via:
https://github.com/OpenSCAP/scap-security-guide/pull/1393

Comment 6 Watson Yuuma Sato 2017-03-20 14:32:16 UTC
Proposing improvement of remediation script to use 'replace_or_append' function in PR: https://github.com/OpenSCAP/scap-security-guide/pull/1761

Comment 8 Marek Haicman 2017-06-21 19:30:42 UTC
Verified for version scap-security-guide-0.1.33-5.el7.noarch
Verification performed using SSG Test Suite https://github.com/OpenSCAP/scap-security-guide/commits/ba02d65857f02c824e18878e238ff8a9aea657c1

OLD:
scap-security-guide-0.1.30-3.el7.noarch
INFO - xccdf_org.ssgproject.content_rule_sysctl_net_ipv6_conf_all_accept_source_route
INFO - Script comment.fail.sh using profile xccdf_org.ssgproject.content_profile_stig-rhel7-server-upstream
ERROR - Scan has exited with return code 2, instead of expected 0 during stage remediation
ERROR - Rule result should have been "fixed", but is "fail"!
INFO - Script correct_value.pass.sh using profile xccdf_org.ssgproject.content_profile_stig-rhel7-server-upstream
INFO - Script line_not_there.fail.sh using profile xccdf_org.ssgproject.content_profile_stig-rhel7-server-upstream
ERROR - Scan has exited with return code 2, instead of expected 0 during stage remediation
ERROR - Rule result should have been "fixed", but is "fail"!
INFO - Script wrong_value.fail.sh using profile xccdf_org.ssgproject.content_profile_stig-rhel7-server-upstream
ERROR - Scan has exited with return code 2, instead of expected 0 during stage remediation
ERROR - Rule result should have been "fixed", but is "fail"!
INFO - All snapshots reverted successfully


NEW:
INFO - xccdf_org.ssgproject.content_rule_sysctl_net_ipv6_conf_all_accept_source_route
INFO - Script comment.fail.sh using profile xccdf_org.ssgproject.content_profile_ospp-rhel7
INFO - Script line_not_there.fail.sh using profile xccdf_org.ssgproject.content_profile_ospp-rhel7
INFO - Script wrong_value.fail.sh using profile xccdf_org.ssgproject.content_profile_ospp-rhel7
INFO - Script correct_value.pass.sh using profile xccdf_org.ssgproject.content_profile_ospp-rhel7
INFO - All snapshots reverted successfully

Comment 9 errata-xmlrpc 2017-08-01 12:23:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2064


Note You need to log in before you can comment on or make changes to this bug.